## openmpi 3.1.2

=== debian/changelog ===
openmpi (3.1.2-6) unstable; urgency=medium

  * Fixes for regression (segfaults in liggghts, etc) due to btl patch.
    Closes: #905418, #910263

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Oct 2018 11:44:08 +0100

openmpi (3.1.2-5) unstable; urgency=medium

  * Fx by Nathan Hjelm for hangs on archs with 32-bit atomics tags
    Closes: #905418, #907267, #907407
  * make openmpi-bin depend on libopenmpi-dev, as its needed for mpicc,etc.
  * Drop link-libfabric.patch as obsolete

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Oct 2018 13:15:03 +0100

openmpi (3.1.2-4) unstable; urgency=medium

  * Reccomend  libopencoarrays-openmpi-dev, (and drop opencoarrays-bin), now
    that coarrays pkg split to openmpi, mpich parts
  * Sanitize build paths from opal_config.h

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Sep 2018 07:10:44 +0100

openmpi (3.1.2-3) unstable; urgency=medium

  * Regression: don't ship ompi_monitoring_prof.so in libopenmp3.
    Closes: #908503.
  * Standards-Version: 4.2.1. No changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Sep 2018 11:44:22 +0100

openmpi (3.1.2-2) unstable; urgency=medium

  * Mark openmpi-common as M-A: foreign
  * Fix FTBFS with dpkg-buildpackage -A. Closes: #908148
  * Fix pmix dependency on -1 version to -1~.
  * Closing old bugs fixed in previous releases:
    Closes: #904779

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Sep 2018 10:09:52 +0100

openmpi (3.1.2-1) unstable; urgency=medium

  * New upstream release
   - library changes:
     libmpi_mpifh.so.40.10.1 -> libmpi_mpifh.so.40.10.2
     libmpi.so.40.10.1 -> libmpi.so.40.10.2
     libopen-pal.so.40.10.1 -> libopen-pal.so.40.10.2
     libopen-rte.so.40.10.1 -> libopen-rte.so.40.10.2
   - hang-fix patch merged upstream
  * Re-enable use of external libpix, libevent
  * Add Recommends: on open-coarrays (dev and bin packages)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Aug 2018 19:07:54 +0100

openmpi (3.1.1.real-7) unstable; urgency=medium

  * Patch from upstream for OMPI/PMIX hang. Closes: #906118
  * Change openmpi-common to Arch: all
  * Standards-Version: 4.2.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Aug 2018 19:06:13 +0100

openmpi (3.1.1.real-6) unstable; urgency=medium

  * Typo on d/control Breaks. pmix-dev -> pmix2

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Aug 2018 15:02:02 +0100

openmpi (3.1.1.real-5) unstable; urgency=medium

  * Include zlib1g-dev to build against
  * Use internal libpmix, libevent to fix hang on MPI_Abort. 
    Closes: #904825.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Aug 2018 12:55:50 +0100

openmpi (3.1.1.real-4) unstable; urgency=medium

  * Make libopenmpi3 pull in libpmix2 >= 3.0.0-1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Jul 2018 11:20:16 +0100
 

openmpi (3.1.1.real-3) unstable; urgency=medium
 
  * Patch ext2x to use pmix 3.0 
    Closes: #903561, #903492, #903549, #903655
  * Fix broken symlinks for libmpi_usempif08  

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Jul 2018 13:47:37 +0100

openmpi (3.1.1.real-2) unstable; urgency=medium

  * Use internal pmix (2.1.2rc1) not external which is currently
    incompatible. Closes: #903596
  * Standards-Version: 4.1.5

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Jul 2018 07:18:14 +0100

openmpi (3.1.1.real-1) unstable; urgency=medium

  * Real upstream 3.1.1 release (previous was a mislabelled 3.1.1rc2)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Jul 2018 16:14:02 +0100

openmpi (3.1.1-1) unstable; urgency=medium

  * New upstream release
  * Depend on pmix >= 2.1.2rc1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Jul 2018 17:12:05 +0100

openmpi (3.1.1~git.20180627-1) experimental; urgency=medium

  * Nightly tarball to test fix for armel
  * Update soversions:
     libmpi_mpifh.so.40.10.1
     libmpi.so.40.10.1
     libmpi_usempif08.so.40.10.1
     libmpi_usempi_ignore_tkr.so.40.10.1
     libopen-pal.so.40.10.1
     libopen-rte.so.40.10.1
  * mpi*-wrapper-data.txt is arch-dependent, so:
     Set openmpi-common as Arch: any, not all
     Drop M-A: foreign from openmpi-bin (which uses it)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Jun 2018 15:53:25 +0100

openmpi (3.1.0-8) unstable; urgency=medium

  * Remove powerpc build patch; now obsoleted upstream
  * Remove arm64 build patch; now obsoleted upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 Jun 2018 12:26:38 +0100

openmpi (3.1.0-7) unstable; urgency=medium

  * Enable libpsm2.  Closes: #901132

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jun 2018 13:36:15 +0100

openmpi (3.1.0-6) unstable; urgency=medium

  * Dump libtool on FTBFS for debugging
  * Remove -rpath from compiler wrappers,too: Closes: #900069

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 May 2018 19:46:30 +0100

openmpi (3.1.0-5) unstable; urgency=medium

  * Fix overly strong dependencies on openmpi-bin causing upgrade issues.
    Closes: #899388
  * Remove -rpath flags from pkgconfig files. Closes: #899391
  * Add --with-package-string to configure for reproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 May 2018 10:15:38 +0100

openmpi (3.1.0-4) unstable; urgency=medium

  * Patch to fix underlinking. Closes: #899104

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 May 2018 15:47:13 +0100

openmpi (3.1.0-3) unstable; urgency=medium

  * libmca_common_ofi, monitoring: handle with being arch-dependent.
    Closes: 899169

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 May 2018 20:08:01 +0100

openmpi (3.1.0-2) unstable; urgency=medium

  * Include new libs libmca_common_monitoring, ofi. Closes: #899077

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 May 2018 08:20:20 +0100

openmpi (3.1.0-1) unstable; urgency=medium

  * New upstream release
   - Java support re-enabled; 
   - PPC patch no longer needed

