=== debian/changelog ===
openmpi (3.1.3-11) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Build-Depend on gfortran | fortran-compiler
  * Drop B-D on gcc >= 4, obsolete
  * Drop -g flag if compiling with flang

  [ Andreas Beckmann ]
  * Team upload.
  * Add Breaks against mpich and lam predating mpi-$MULTIARCH alternatives.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Apr 2019 23:40:47 +0200

openmpi (3.1.3-10) unstable; urgency=medium

  * Remove obsolete debian/TODO comments
  * Include cleanups of alternatives handling by Andreas Beckmann.
    Closes: #915025
  * Add Breaks: libmpich-dev (<< 3.3~b1-5) to libopenmpi-dev as the mpi
    alternatives handling changed.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jan 2019 13:12:03 +0000

openmpi (3.1.3-9) unstable; urgency=medium

  * Re-enable external pmix now that it works with 32-bit systems again.
    Closes: #918713.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Jan 2019 19:20:33 +0000

openmpi (3.1.3-8) unstable; urgency=medium

  * dh-fortran-mod >= 0.11 to properly remove files on purge.
    Closes: #918000, #915025.
  * Use internal pmix until pmix pkg works.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Jan 2019 21:19:05 +0000

openmpi (3.1.3-7) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Use dh-fortran-mod and place mod files in $fmoddir/openmpi to avoid
    collision with mpich. Closes: #917133
  * Patch to remove PMIX_MODEX (removed in latest pmix release)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Jan 2019 13:25:39 +0000

openmpi (3.1.3-6) unstable; urgency=medium

  * Rebuild with dh-fortran-mod >= 0.6 to fix broken postrm script.
    Closes: #916890

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Dec 2018 09:23:45 +0000

openmpi (3.1.3-5) unstable; urgency=medium

  * Use dh-fortran-mod >= 0.4: insert tracking via Fortran-Mod rather than
    Depends. mod file is now placed in /usr/lib/$arch/fortran/gfortran-8
    ($fmoddir) but also in usual place until gfortan reads $fmoddirOA

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Dec 2018 14:14:53 +0000

openmpi (3.1.3-4) unstable; urgency=medium

  * More robust alternatives handling. Closes: #915025
  * Don't call dpkg-parsechangelog in rules

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Dec 2018 13:04:38 +0000

openmpi (3.1.3-3) unstable; urgency=medium

  * Use dh-fortran-mod to track Fortran module version
  * Change symlink /usr/include/openmpi to /usr/include/$ma/openmpi

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Nov 2018 17:08:03 +0000

openmpi (3.1.3-2) unstable; urgency=medium

  * Check if mpi alternatives is corrupt. If so, delete. Closes: #912437
  * openmpi-dev.postinst: don't call update-alt on abort
  * openmpi-bin.postinst: silence grep output on check

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Oct 2018 17:12:52 +0000

openmpi (3.1.3-1) unstable; urgency=medium

  * New upstream release Closes: #902101
  * Drop alioth mailing list (OpenMPI maintainers) from Uploaders.
    Closes: #899289.
  * Openmpi-bin is not labelled M-A: foreign. Closes: #901874
  * preinst, postinst scripts: recast conditionals to allow 'set -e'
  * Add Recommends: libopenmpi-dev to openmpi-bin

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Oct 2018 16:14:16 +0000

openmpi (3.1.3~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Build against libpmix 3.1.0rc1
  * Drop hard-coded xz compression for tarball
  * btl.patch now merged upstream.
  * library soname changes:
    libmpi 40.10.2 -> 40.10.3
    libopen-pal 40.10.2 -> 40.10.3
    libopen-rte 40.10.2 -> 40.10.3
    libmpi_usempif08. 40.10.1 -> 40.10.2

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Oct 2018 16:49:41 +0100

openmpi (3.1.2-7) experimental; urgency=medium

  * Test builtin atomics on riscv64
  * Compile with gcc-7 on ia64 (ICE on gcc8*)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Oct 2018 12:08:52 +0100
