=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: net
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Uploaders: Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>,
- Manuel Prinz <manuel@debian.org>
+Uploaders: Manuel Prinz <manuel@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), 
+ dh-fortran-mod (>= 0.11),
  debhelper (>= 11), 
+ gcc-7 [ia64],
  libltdl-dev,
  libevent-dev,
- libpmix-dev (>= 3.0.1-1~),
+ libpmix-dev,
  zlib1g-dev,
- gfortran, gcc (>= 4:5.2.1), 
+ gfortran | fortran-compiler,
  chrpath, 
  libhwloc-dev,
  pkg-config,
@@ -22,7 +23,7 @@
  default-jdk [!hppa !hurd-i386 !ia64 !riscv64] <!stage1>,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://www.open-mpi.org/
 Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
 Vcs-Git: https://salsa.debian.org/hpc-team/openmpi.git -b debian/master
@@ -31,11 +32,15 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, openmpi-common (>= ${source:Version}),
  openssh-client | ssh-client
+Recommends: libopenmpi-dev
 Conflicts: openmpi-bin
-Requires: libopenmpi-dev
-Breaks: libopenmpi-dev (<< 3.0.1~rc2-2)
+Breaks:
+ libopenmpi-dev (<< 3.0.1~rc2-2),
+ mpich (<< 3.3~b1-5),
+ libmpich-dev (<< 3.3~b1-5),
+ lam4-dev (<< 7.1.4-4),
 Replaces: libopenmpi-dev (<< 3.0.1~rc2-2)
-Suggests: gfortran
+Suggests: gfortran | fortran-compiler
 Description: high performance message passing library -- binaries
  Open MPI is a project combining technologies and resources from several other
  projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
@@ -69,8 +74,13 @@
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libhwloc-dev,
  openmpi-bin (>= 3.0.0-1)
 Recommends: libcoarrays-openmpi-dev
+Fortran-Mod: ${Fortran-Mod}
 Conflicts: libopenmpi-dev
-Breaks: openmpi-bin (<< 3.0.1~rc2-2)
+Breaks:
+ openmpi-bin (<< 3.0.1~rc2-2),
+ mpich (<< 3.3~b1-5),
+ libmpich-dev (<< 3.3~b1-5),
+ lam4-dev (<< 7.1.4-4),
 Suggests: openmpi-doc
 Description: high performance message passing library -- header files
  Open MPI is a project combining technologies and resources from several other
