=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-
-DEBIAN_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\-.*\)/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
 
 DESTDIR:=`pwd`/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -19,10 +17,18 @@
 FABRIC_ARCH:= amd64 i386 
 PSM_ARCH:= amd64 i386
 PSM2_ARCH:= amd64
-BUILTIN_ATOMICS_ARCH:= s390x
+BUILTIN_ATOMICS_ARCH:= s390x riscv64
 NO_CMA_ARCH:= s390x mipsel hppa alpha armhf armel m68k sparc64
 NO_JAVA_ARCH:= hppa hurd-i386 ia64 riscv64
 NO_TEST_ARCH:= hppa hurd-i386
+GCC7_ARCH:= ia64
+
+FORTRAN:=$(shell basename $(shell readlink /etc/alternatives/f95))
+FC ?= $(FORTRAN)
+# Drop '-g' flag with flang. Known failure with 2018122 version
+ifneq ($(filter flang,$(FC)),)
+FCFLAGS=$(shell dpkg-buildflags --get FCLAGS |  sed -e 's/-g //')
+endif
 
 ifeq (sparc,$(DEB_HOST_GNU_CPU))
 	CFLAGS += -mcpu=v9
@@ -36,6 +42,10 @@
 ifeq ($(filter $(NO_VERBS_ARCH),$(DEB_HOST_ARCH)),)
 	VERBS := --with-verbs
 endif	
+# Use gcc-7 on ia64; ICE on gcc 8.*
+ifneq ($(filter $(GCC7_ARCH),$(DEB_HOST_ARCH)),)
+export CC=gcc-7
+endif
 ifneq ($(filter $(BUILTIN_ATOMICS_ARCH),$(DEB_HOST_ARCH)),)
 	ENABLE_BUILTIN_ATOMICS:= --enable-builtin-atomics
 endif
@@ -70,7 +80,7 @@
 
 
 %:
-	dh $@ --no-parallel
+	dh $@ --no-parallel --with=fortran_mod
 
 override_dh_auto_clean:
 	dh_clean
@@ -92,7 +102,7 @@
 		--disable-silent-rules \
 		--disable-wrapper-runpath \
 		--with-package-string="Debian OpenMPI" \
-		$(VERBS) $(FABRIC) $(PSM) $(PSM2) $(CMA) $(PMIX) \
+		$(VERBS) $(FABRIC) $(PSM) $(PSM2) $(CMA) \
 		$(ENABLE_BUILTIN_ATOMICS) \
 		$(JAVA) \
 		$(STATIC_CONFIG_PARAMS) \
@@ -195,6 +205,3 @@
 		dh_link -p libopenmpi3 ${LIBDIR}/openmpi/lib/libmpi_java.so.40.10.0 ${LIBDIR}/libmpi_java.so.40.10.0 ; \
 		dh_link -p libopenmpi-dev ${LIBDIR}/libmpi_java.so.40	${LIBDIR}/libmpi_java.so ; \
 	fi
-	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_monitoring.so.50.0.0 ; then  \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_monitoring.so.50.0.0 \
-			debian/libopenmpi3/${LIBDIR}/openmpi/lib/libmca_common_monitoring.so.50.0.0 ; \
