=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Uploaders: Manuel Prinz <manuel@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), 
  dh-fortran-mod (>= 0.11),
- debhelper (>= 11), 
- gcc-7 [ia64],
+ debhelper-compat (= 12), 
  libltdl-dev,
  libevent-dev,
  libpmix-dev,
@@ -23,7 +22,7 @@
  default-jdk [!hppa !hurd-i386 !ia64 !riscv64] <!stage1>,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1.0
 Homepage: https://www.open-mpi.org/
 Vcs-Browser: https://salsa.debian.org/hpc-team/openmpi
 Vcs-Git: https://salsa.debian.org/hpc-team/openmpi.git -b debian/master
@@ -34,6 +33,7 @@
  openssh-client | ssh-client
 Recommends: libopenmpi-dev
 Conflicts: openmpi-bin
+Multi-Arch: foreign
 Breaks:
  libopenmpi-dev (<< 3.0.1~rc2-2),
  mpich (<< 3.3~b1-5),
@@ -72,9 +72,9 @@
  libopenmpi3 (= ${binary:Version}), 
  openmpi-common (>= ${source:Version}), 
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libhwloc-dev,
+ libevent-dev, 
  openmpi-bin (>= 3.0.0-1)
 Recommends: libcoarrays-openmpi-dev
-Fortran-Mod: ${Fortran-Mod}
 Conflicts: libopenmpi-dev
 Breaks:
  openmpi-bin (<< 3.0.1~rc2-2),
