=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 AUTOGENERATED:= libopenmpi3.links libopenmpi-dev.links libopenmpi-dev.postinst \
-  libopenmpi-dev.prerm openmpi-bin.preinst libopenmpi-dev.preinst
+  libopenmpi-dev.prerm 
 
 ### Arch-specific stuff
 # No ibverbs support available on kFreeBSD, Hurd
@@ -19,7 +19,7 @@
 PSM2_ARCH:= amd64
 BUILTIN_ATOMICS_ARCH:= s390x riscv64
 NO_CMA_ARCH:= s390x mipsel hppa alpha armhf armel m68k sparc64
-NO_JAVA_ARCH:= hppa hurd-i386 ia64 riscv64
+NO_JAVA_ARCH:= hppa hurd-i386 ia64
 NO_TEST_ARCH:= hppa hurd-i386
 GCC7_ARCH:= ia64
 
@@ -80,7 +80,7 @@
 
 
 %:
-	dh $@ --no-parallel --with=fortran_mod
+	dh $@ --with=fortran_mod
 
 override_dh_auto_clean:
 	dh_clean
@@ -89,6 +89,12 @@
 	find . -type l -delete
 	find . -name '*.o' -delete
 	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
+	rm -f `find test/ -type f ! -name '*.*' ! -name 'run_tests'`
+	rm -f `find . -name '*.a'`
+	rm -f `find . -name '*.class'`
+	rm -f `find . -name '*.mod'`
+	rm -f `find . -name '*.jar'`
+	rm -f `find orte/tools/ -type f ! -name '*.*'`
 
 override_dh_update_autotools_config:
 	(cd config && autom4te --language=m4sh opal_get_version.m4sh -o opal_get_version.sh)
@@ -120,14 +126,6 @@
 		--sysconfdir=/etc/openmpi 		\
 		--libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/openmpi/lib	\
 		--includedir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/openmpi/include 
-
-# Extra debugging for non-deterministic FTBFS on some archs
-override_dh_auto_build:
-	dh_auto_build || ( \
-		cat config.log ; \
-		cat libtool ; \
-		find . -name '*.la' -exec cat {} \; \
-		)
 
 override_dh_install:
 	# Strip rpath info from all executables and libraries.
@@ -190,18 +188,19 @@
 		cp -a debian/tmp/usr/bin/oshmem_info  debian/openmpi-bin//usr/bin/ ; \
 		cp -a debian/tmp/usr/bin/oshcc	 debian/libopenmpi-dev/usr/bin   ; \
 		cp -a debian/tmp/usr/bin/oshfort   debian/libopenmpi-dev/usr/bin   ; \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/liboshmem.so.40.10.1 debian/libopenmpi3/${LIBDIR}/openmpi/lib ; \
 		cp -a debian/tmp/usr/share/man/man1/oshcc.1 debian/libopenmpi-dev/usr/share/man/man1 ; \
 		cp -a debian/tmp/usr/share/man/man1/oshfort.1 debian/libopenmpi-dev/usr/share/man/man1 ; \
 		cp -a debian/tmp/usr/share/man/man1/oshrun.1 debian/openmpi-bin/usr/share/man/man1 ; \
 		cp -a debian/tmp/usr/share/man/man1/oshmem_info.1 debian/openmpi-bin/usr/share/man/man1 ; \
-		dh_link -p libopenmpi-dev	${LIBDIR}/liboshmem.so.40  ${LIBDIR}/liboshmem.so ; \
-		dh_link -p libopenmpi3 ${LIBDIR}/openmpi/lib/liboshmem.so.40.10.1  ${LIBDIR}/liboshmem.so.40 ; \
-	fi
-	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.40.10.0 ; then \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.40.10.0 \
-			debian/libopenmpi3/${LIBDIR}/openmpi/lib/libmpi_java.so.40.10.0 ; \
-		dh_link -p libopenmpi3 ${LIBDIR}/libmpi_java.so.40.10.0  ${LIBDIR}/libmpi_java.so.40 ; \
-		dh_link -p libopenmpi3 ${LIBDIR}/openmpi/lib/libmpi_java.so.40.10.0 ${LIBDIR}/libmpi_java.so.40.10.0 ; \
+	fi
+	# cp -a debian/tmp/${LIBDIR}/openmpi/lib/liboshmem.so.40.20.0 debian/libopenmpi3/${LIBDIR}/openmpi/lib ; 
+	# dh_link -p libopenmpi-dev	${LIBDIR}/liboshmem.so.40  ${LIBDIR}/liboshmem.so ; 
+	# dh_link -p libopenmpi3 ${LIBDIR}/openmpi/lib/liboshmem.so.40.20.0  ${LIBDIR}/liboshmem.so.40 ; 
+	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.40.20.0 ; then \
+		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.40.20.0 \
+			debian/libopenmpi3/${LIBDIR}/openmpi/lib/libmpi_java.so.40.20.0 ; \
+		dh_link -p libopenmpi3 ${LIBDIR}/libmpi_java.so.40.20.0  ${LIBDIR}/libmpi_java.so.40 ; \
+		dh_link -p libopenmpi3 ${LIBDIR}/openmpi/lib/libmpi_java.so.40.20.0 ${LIBDIR}/libmpi_java.so.40.20.0 ; \
 		dh_link -p libopenmpi-dev ${LIBDIR}/libmpi_java.so.40	${LIBDIR}/libmpi_java.so ; \
 	fi
+	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_monitoring.so.50.10.0 ; then  \
